Subject: Re: bug#69107: 30.0.50; mouse movement commands exit repeat maps

From: LemonBreezes <[email-masked]>
Date: Fri, 28 Feb 2025 22:39:06 -0500

I ended up advising some dap-mode and/or LSP functions so that the mouse tracking key bindings never get bound and that worked for me. But yeah, it's done. 

On Fri, Feb 28, 2025, at 10:34 PM, Stefan Kangas wrote:
> StrawberryTea <[email-masked]> writes:
> 
> > Okay, so as a follow-up, the previous solution did not work. I had to remove the
> > <mouse-movement> event altogether with
> >
> > (setq-hook! ’post-command-hook track-mouse nil)
> >
> > Now they don’t trigger randomly for me anymore.
> 
> It seems like the above fixed the issue, so I'm closing this bug.
>